technical questions

What is the supported browser? ______________
What is the supported version of Flash? _______________
What is the supported version of iOS? _______________
What is the supported version of Android? ______________

Many of us like to stay up on the newest (most secure) versions that we can. But since the game does not show any actual supported version, it makes it very hard to play the game sometimes.
Comments
K-meleon ... very uncomfortable browser, but DE usually runs properly there)
OPTIMUS PRlME,

Dude, that browser is 4 years old (last stable release 2015). So I am not sure that qualifies as a supported browser. So again, I ask, what is supported by the Admin of the game? Getting old builds (and old browsers) to get the game to work, is not wise if you are trying to attract new users (many will be running windows 10, newer android, newest iOS). The fact that the game runs "best" on a 4 year old browser, shows there is no real effort being put into making sure the game will last into the future.
Removed by user
Leane,

what about Edge? Chrome I use 72.0.3626.81 and it freezes often (and flash is a manual allow)

Flash: 32.0.0.114 (64 bit)?

Android: how do we get the 3.0.3 version? is that in the play store? What about current version being 9.0 "Pie", released in August 2018?

What processor?

Again, trying to get the best (most stable and secure) experience that the game supports.
Removed by user
for me, firefox no longer works... i cannot chat at all with it. typing in chat works but when i have to send out the chat, it stays there
pearls,pearlsfor me, firefox no longer works... i cannot chat at all with it. typing in chat works but when i have to send out the chat, it stays there
Also happens to me
Chrome and or chromium both work fine as well as Internet explorer just fine for me.

Edit: I also use android and i cant find a way of getting the older version, if we could find out how, that would be very helpful.
Removed by user
TarKaen, In order to find the older version, search this on Google, Dragon eternity 3.0.3 apk and download the apk then install the game manually
gustav123, this did work for me! Thank you!
Leane,

I was asking for more of a formal, what DE supports. Not what "tests" well. Many software companies publish their system requirements. That is more what I was looking for.
bump, still waiting for a formal answer.
You need to log in or register before leaving a comment.